require 'kojak'

class Hello
  extend Kojak::Inspector
  investigate :greet, :this_one_does_nothing

  def greet(attrs = {})
    raise ArgumentError.new("missing name") unless attrs[:name]
    "Hello #{attrs[:name]}!"
  end

  def this_one_does_nothing
  end
end

Kojak.investigate!

h = Hello.new
h.greet(:name => "Jon Snow")
h.greet(:a => 1, :b => 2, :c => 3) rescue nil
h.this_one_does_nothing
