# -*- mode: ruby -*-
# -*- coding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kojak/version'

Gem::Specification.new do |spec|
  spec.name          = "kojak"
  spec.version       = Kojak::VERSION
  spec.authors       = ["Kris Kovalik", "NIMBOOST Team"]
  spec.email         = ["dev@nimboost.com"]
  spec.summary       = %q{Kojak is a neat and bald tracer and debug logger.}
  spec.description   = %q{Kojak allows you to trace and debug method calls.}
  spec.homepage      = "http://docs.nimboost.com/lib/ruby/kojak"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "json", "~> 1.8"
  spec.add_dependency "rainbow", "~> 2.0"
  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "mocha"
end
