require 'minitest_helper'

describe Kojak do
  it "should have correct version number" do
    Kojak::VERSION.must_equal "0.0.1"
  end

  describe "investigate!" do
    it "should run investigation on all registered classes" do
      dummy = Class.new { extend Kojak::Inspector }
      dummy.expects(:investigate!)
      Kojak.investigated.clear
      Kojak.mark_for_investigation(dummy)
      Kojak.investigate!
    end
  end
end
