require 'minitest_helper'
require 'stringio'

describe Kojak::Printer::RandomlyColorized do
  let(:out) do
    StringIO.new
  end

  let(:printer) do
    Kojak::Printer::RandomlyColorized.new(out)
  end

  it "should be colorized" do
    printer.must_be_kind_of Kojak::Printer::Colorized
  end

  it "should always pick different color" do
    prev = nil
    100.times do
      current = printer.color
      current.wont_equal prev
      prev = current
    end
  end
end
